
Foreman - Feature #364

Enable "downtime" in Foreman

08/23/2010 03:10 PM - Eric Shamow

Status: Closed   

Priority: Normal   

Assignee: Eric Shamow   

Category: Reporting   

Target version: 0.1-6   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Enable a per-host "downtime" that would suppress the sending of error mails.  Perhaps hosts in downtime could appear as a

separate category in the regular Foreman report that's sent out.

This would allow users to perform maintenance on active Puppet machines without sending out a torrent of false alarms.

Related issues:

Related to Foreman - Bug #369: Problem with e-mail reports after "downtime" p... Closed 08/31/2010

Associated revisions

Revision 5aee7268 - 08/28/2010 09:04 PM - Eric Shamow

fixes #364 - Enable "downtime" in Foreman

Added checkbox for enabling and disabling hosts from edit screen

Enabling e-mail reports for hosts in downtime

Added dashboard links to disabled hosts

Added basic tests

Revision 80b8223d - 08/28/2010 09:24 PM - Ohad Levy

refs #364, adding default layout to all dashboard actions

History

#1 - 08/23/2010 10:49 PM - Eric Shamow

Created db migration to generate the field:

class AddEnabledToHosts < ActiveRecord::Migration

def self.up

add_column :hosts, :enabled, :boolean, :default => 1

end

def self.down

    remove_column :hosts, :enabled

  end

end

 Now working on report code to detect that enabled = false.  Enabled = true results in message being sent through unchanged.

#2 - 08/23/2010 11:38 PM - Eric Shamow

- File enabledowntime.patch added

- % Done changed from 0 to 50

Modified report_observer.rb to check flag status.  Patch attached.

#3 - 08/23/2010 11:42 PM - Eric Shamow

- File 20100823181036_add_enabled_to_hosts.rb added
DB migration file attached

#4 - 08/23/2010 11:55 PM - Eric Shamow

- File displaydowntime.patch added

Added a line to display enabled/disabled status on host page

#5 - 08/24/2010 03:55 PM - Ohad Levy

looks good, a few comments:

1. consider using git, it makes this patching stuff much easier :)

2. I would think that hosts that are disabled, should not appear in the dashboard - do you agree?

3. it should be possible to toggle a host (enable / disable) - maybe a minor change in the host edit

4. maybe it should also be considered to enable / disable multiple hosts at the same time (can be a separate feature request)

5. filter hosts based on status (e.g. show all hosts which are disabled?)

#6 - 08/28/2010 09:11 PM - Ohad Levy

- Category set to Reporting

- Assignee set to Eric Shamow

- Target version set to 0.1-6

#7 - 08/28/2010 09:11 PM - Anonymous

- Status changed from New to Ready For Testing

- % Done changed from 50 to 100

Applied in changeset 5aee72686d733c9be2c75c064a73dc840f2753db.

#8 - 09/12/2010 09:52 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

Files

enabledowntime.patch 684 Bytes 08/23/2010 Eric Shamow

20100823181036_add_enabled_to_hosts.rb 189 Bytes 08/23/2010 Eric Shamow

displaydowntime.patch 593 Bytes 08/23/2010 Eric Shamow
